Bug 1135519 (kio-extras) - Review Request: kio-extras - Additional components to increase the functionality of KIO Framework
Summary: Review Request: kio-extras - Additional components to increase the functional...
Keywords:
Status: CLOSED RAWHIDE
Alias: kio-extras
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
Jan Grulich
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-08-29 13:59 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:35:12 UTC
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 13:59:10 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kio-extras.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kio-extras-5.0.1-1.fc20.src.rpm
Description: Additional components to increase the functionality of KIO Framework
Fedora Account System Username: dvratil

Comment 1 Christopher Meng 2014-08-30 06:53:58 UTC
What about taking this occasion to rename doc package from -docs to -doc?

As from review template in fedora-review, doc packages should have a common name -doc...

Comment 2 Jan Grulich 2014-11-19 10:06:14 UTC
1) kde-runtime-docs package doesn't exist, also as Christopher mentioned, you should use -docs instead of -doc.

2) There are some files conflicting in this version with kf5-kio-core, but this should be fixed when you update to a newer version.

3) Shouldn't you call ldconfig in %post and in %postun?

4) Missing call of update-desktop-database - see http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database

5) Missing license file

Comment 3 Daniel Vrátil 2014-12-19 16:36:10 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kio-extras.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kio-extras-5.1.2-2.fc20.src.rpm

1) kde-runtime-docs exists now (did not during the time I submitted the review)
2) fixed upstream
3) fixed
4) AFAIK we don't call update-desktop-database on KDE kservice desktop files
5) there's no top-level license file, as the submodules have different license files in their subfolders. Shall we extract at least one?

Comment 5 Jan Grulich 2015-01-02 15:50:08 UTC
Ok, looks good now, not sure about the license file, but if there is no top-level license file I would leave it as it is.

Comment 6 Jan Grulich 2015-01-06 15:45:55 UTC
Spotted 2 more issues:
- url should be https://projects.kde.org/projects/kde/workspace/kio-extras
- use make install make install/fast  DESTDIR=%{buildroot} -C %{_target_platform} instead of %make_install ...

Comment 7 Daniel Vrátil 2015-01-06 16:07:59 UTC
Fixed locally.

Comment 8 Daniel Vrátil 2015-01-06 16:08:15 UTC
New Package SCM Request
=======================
Package Name: kio-extras
Short Description: Additional components to increase the functionality of KIO Framework
Upstream URL: https://projects.kde.org/projects/kde/workspace/kio-extras
Owners: group::kde-sig
Branches:
InitialCC:

Comment 9 Gwyn Ciesla 2015-01-06 16:27:00 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.